Starting init… – 正在启动初始化。。。区块链毕设代写

区块链毕设代写本文提供国外最新区块链项目源码下载,包括solidity,eth,fabric等blockchain区块链,Starting init… – 正在启动初始化。。。区块链毕设代写 是一篇很好的国外资料

This shows you how I install and set up my Dapps for the atom ide for front end and back end. Sorry if this is messy Ill clean it up later

Set Up for Back End

Install NODE JS Install Truffle Install Metamask Install Ganache Install GitBash


Go to GitBash


[email protected] MINGW64 ~ $ mkdir Fifa_NFT/


[email protected] MINGW64 ~ $ cd Fifa_NFT/


[email protected] MINGW64 ~/Fifa_NFT $ truffle init

Starting init…

Copying project files to C:UsersOwnerFifa_NFT Init successful, sweet!


C:UsersOwnerFifa_NFTtruffle-config.js

 development: {     host: "127.0.0.1",     // Localhost (default: none)     port: 7545,            // Standard Ethereum port (default: none)     network_id: "*",       // Any network (default: none) }, 

Set Up for Front End

[email protected] MINGW64 ~/Fifa_NFT $ touch package.json


C:UsersOwnerFifa_NFTpackage.json

TYPE

{ “name”: “fifa-nft-sale”, “version”: “1.0.0”, “description”: “Trading Platform for virtual football cards”, “main”: “truffle.js”, “directories”: { “test”: “test” }, “scripts”: { “dev”: “lite-server” }, “author”: “Anthony James Humphreys”, “license”: “ISC”, “devDependencies”: { “lite-server”: “^2.3.0” } }


[email protected] MINGW64 ~/Fifa_NFT $ npm install

npm WARN deprecated [email protected]: Debug versions >=3.2.0 <3.2.7 || >=4 <4.3.1 have a low-severity ReDos regression when used in a Node.js environment. It is recommended you upgrade to 3.2.7 or 4.3.1. (https://github.com/visionmedia/debug/issues/797) npm notice created a lockfile as package-lock.json. You should commit this file. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected]~2.3.1 (node_moduleschokidarnode_modulesfsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for [email protected]: wanted {“os”:”darwin”,”arch”:”any”} (current: {“os”:”win32″,”arch”:”ia32″}) npm WARN [email protected] No repository field.

added 194 packages from 252 contributors and audited 195 packages in 4.956s

6 packages are looking for funding run npm fund for details

found 0 vulnerabilities


#Now you are able to type npm run dev, which is how you get your site up


[email protected] MINGW64 ~/Fifa_NFT $ touch bs-config.json


[email protected] MINGW64 ~/Fifa_NFT $ mkdir src/

[email protected] MINGW64 ~/Fifa_NFT $ mkdir src/css/

[email protected] MINGW64 ~/Fifa_NFT $ mkdir src/js/

[email protected] MINGW64 ~/Fifa_NFT $ touch src/index.html



This shows you how I install and set up my Dapps for the atom ide for front end and back end. Sorry if this is messy Ill clean it up later

Set Up for Back End

Install NODE JS Install Truffle Install Metamask Install Ganache Install GitBash


Go to GitBash


[email protected] MINGW64 ~ $ mkdir Fifa_NFT/


[email protected] MINGW64 ~ $ cd Fifa_NFT/


[email protected] MINGW64 ~/Fifa_NFT $ truffle init

Starting init…

Copying project files to C:UsersOwnerFifa_NFT Init successful, sweet!


C:UsersOwnerFifa_NFTtruffle-config.js

 development: {     host: "127.0.0.1",     // Localhost (default: none)     port: 7545,            // Standard Ethereum port (default: none)     network_id: "*",       // Any network (default: none) }, 

Set Up for Front End

[email protected] MINGW64 ~/Fifa_NFT $ touch package.json


C:UsersOwnerFifa_NFTpackage.json

TYPE

{ “name”: “fifa-nft-sale”, “version”: “1.0.0”, “description”: “Trading Platform for virtual football cards”, “main”: “truffle.js”, “directories”: { “test”: “test” }, “scripts”: { “dev”: “lite-server” }, “author”: “Anthony James Humphreys”, “license”: “ISC”, “devDependencies”: { “lite-server”: “^2.3.0” } }


[email protected] MINGW64 ~/Fifa_NFT $ npm install

npm WARN deprecated [email protected]: Debug versions >=3.2.0 <3.2.7 || >=4 <4.3.1 have a low-severity ReDos regression when used in a Node.js environment. It is recommended you upgrade to 3.2.7 or 4.3.1. (https://github.com/visionmedia/debug/issues/797) npm notice created a lockfile as package-lock.json. You should commit this file. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected]~2.3.1 (node_moduleschokidarnode_modulesfsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for [email protected]: wanted {“os”:”darwin”,”arch”:”any”} (current: {“os”:”win32″,”arch”:”ia32″}) npm WARN [email protected] No repository field.

added 194 packages from 252 contributors and audited 195 packages in 4.956s

6 packages are looking for funding run npm fund for details

found 0 vulnerabilities


#Now you are able to type npm run dev, which is how you get your site up


[email protected] MINGW64 ~/Fifa_NFT $ touch bs-config.json


[email protected] MINGW64 ~/Fifa_NFT $ mkdir src/

[email protected]OP-IHSJ5E1 MINGW64 ~/Fifa_NFT $ mkdir src/css/

[email protected] MINGW64 ~/Fifa_NFT $ mkdir src/js/

[email protected] MINGW64 ~/Fifa_NFT $ touch src/index.html


部分转自网络,侵权联系删除区块链源码网

www.interchains.cc

https://www.interchains.cc/22779.html

区块链毕设网(www.interchains.cc)全网最靠谱的原创区块链毕设代做网站 部分资料来自网络,侵权联系删除! 最全最大的区块链源码站 ! QQ3039046426
区块链知识分享网, 以太坊dapp资源网, 区块链教程, fabric教程下载, 区块链书籍下载, 区块链资料下载, 区块链视频教程下载, 区块链基础教程, 区块链入门教程, 区块链资源 » Starting init… – 正在启动初始化。。。区块链毕设代写

提供最优质的资源集合

立即查看 了解详情